std::error_condition::assign(3)

NAME
std::error_condition::assign - std::error_condition::assign

Synopsis
   void assign( int val, const error_category& cat ) noexcept; (since C++11)
   Assigns contents to an error condition. Sets the error code to val and error
   category to cat.

Parameters
   val - error code
   cat - error category

Return value
   (none)